Bug 36301 - Mail domain module isn't intuitive
Mail domain module isn't intuitive
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Mail
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Alexander Kramer
Florian Best
: interim-3
Depends on:
Blocks: 36401
  Show dependency treegraph
 
Reported: 2014-10-27 08:18 CET by Stefan Gohmann
Modified: 2014-11-26 06:55 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
umc-mail-domain.png (62.22 KB, image/png)
2014-10-27 08:18 CET, Stefan Gohmann
Details
Adapted module (10.11 KB, image/png)
2014-10-27 17:11 CET, Alexander Kramer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-10-27 08:18:06 CET
Created attachment 6235 [details]
umc-mail-domain.png

See attached screenshot. If you want to create a new mail domain, the module doesn't show many information. Only General, General, Basic settings and Name.
Comment 1 Alexander Kläser univentionstaff 2014-10-27 11:55:15 CET
My suggestion would be to add a JavaScript wizard module for this UDM type. Would that be sufficient?
Comment 2 Stefan Gohmann univentionstaff 2014-10-27 14:14:34 CET
(In reply to Alexander Kläser from comment #1)
> My suggestion would be to add a JavaScript wizard module for this UDM type.
> Would that be sufficient?

I think it is good enough to change the text fields. For example "Name of the mail domain" instead of "Name".
Comment 3 Alexander Kramer univentionstaff 2014-10-27 17:11:07 CET
Created attachment 6244 [details]
Adapted module

r54970
Adapted the labels so the modul is more intuitive.

Package: univention-directory-manager-modules
Version: 10.0.23-1.1255.201410271657
Branch: ucs_4.0-0
Comment 4 Florian Best univentionstaff 2014-11-03 10:14:33 CET
Looks good.

We should do the same for "DHCP: *", "Mail: *", "DNS: *" because one doesn't have the information what kind of object is currently created. But maybe not now (then clone this bug)?!

Changelog missing.
Comment 5 Alexander Kramer univentionstaff 2014-11-03 13:27:41 CET
r55266
added changelog entry
Comment 6 Florian Best univentionstaff 2014-11-03 20:38:33 CET
compare attachment 6235 [details] with attachment 6244 [details] and do the same for DHCP / DNS / Mail / and maybe others as well.
Comment 7 Florian Best univentionstaff 2014-11-03 20:39:04 CET
(In reply to Florian Best from comment #6)
> compare attachment 6235 [details] with attachment 6244 [details] and do the
> same for DHCP / DNS / Mail / and maybe others as well.
sorry wrong bug...

VERIFIED.
Comment 8 Stefan Gohmann univentionstaff 2014-11-26 06:55:29 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".